Page MenuHomePhabricator

Localize core namespaces to Santali
Closed, ResolvedPublic

Description

Please translate the following:

$namespaceNames = [
        NS_MEDIA            => 'ᱢᱤᱰᱤᱭᱟ',
        NS_SPECIAL          => 'ᱟᱥᱚᱠᱟᱭ',
        NS_MAIN             => 'ᱢᱩᱬᱩᱛ',
        NS_TALK             => 'ᱜᱟᱞᱢᱟᱨᱟᱣ',
        NS_USER             => 'ᱵᱮᱵᱷᱟᱨᱤᱭᱟᱹ',
        NS_USER_TALK        => 'ᱵᱮᱵᱷᱟᱨᱤᱭᱟᱹ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
        # NS_PROJECT set by $wgMetaNamespace
        NS_PROJECT_TALK     => '$1_ᱢᱤᱰᱤᱭᱟᱣᱤᱠᱤ',
        NS_FILE             => 'ᱨᱮᱫ',
        NS_FILE_TALK        => 'ᱨᱮᱫ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
        NS_MEDIAWIKI        => 'ᱢᱤᱰᱤᱭᱟᱣᱤᱠᱤ',
        NS_MEDIAWIKI_TALK   => 'ᱢᱤᱰᱤᱭᱟᱣᱤᱠᱤ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
        NS_TEMPLATE         => 'ᱪᱷᱟᱸᱪ',
        NS_TEMPLATE_TALK    => 'ᱪᱷᱟᱸᱪ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
        NS_HELP             => 'ᱜᱚᱸᱲᱚᱸ',
        NS_HELP_TALK        => 'ᱜᱚᱸᱲᱚᱸ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
        NS_CATEGORY         => 'ᱛᱷᱚᱠ',
        NS_CATEGORY_TALK    => 'ᱛᱷᱚᱠ_ᱜᱟᱞᱢᱟᱨᱟᱣ',
];

Event Timeline

Urbanecm created this task.Jun 28 2018, 3:03 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 28 2018, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramjit99 updated the task description. (Show Details)Jun 28 2018, 5:40 PM

Ping @Urbanecm as the translations are ready, should you wish to upload the patch yourself. Regards.

Well, I'd like to do it, but I cannot. I cannot figure out how to make my computer (Ubuntu 17.10) display those characters. If you can help me, please direct me. If not, please claim it yourself...

Manik87 updated the task description. (Show Details)Jul 14 2018, 5:39 PM

@Urbanecm Are you facing problem to see Santali font? If it is then try to use firefox browser and you must need to install Santali (Olchiki) font in your computer. I hope it will work.

I'm seeing this in Firefox

and this in Chrome.

I will keep trying to do other things to fix this, will let you know.

Finally! Now I can see Santali as well :D

I guess fallback language* should be Bengali?

*When MediaWiki displays localized message to its user, it uses the following way: 1) display message in user's language (in this case, Santali) 2) if not possible, display message in fallback language 3) if not possible, display message in English. If not possible generally means the message is not translated into that language yet.

Change 445790 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Localize MW core namespaces to Santali

https://gerrit.wikimedia.org/r/445790

Urbanecm claimed this task.Jul 14 2018, 6:43 PM
Urbanecm triaged this task as Normal priority.
Urbanecm moved this task from Blocked on others to Waiting on review on the User-Urbanecm board.
Manik87 updated the task description. (Show Details)Jul 15 2018, 8:38 AM

@Urbanecm There was a little mistake in the translation of Localize core namespaces to Santali. Now I have corrected the translation. So please update the patch which you have uploaded already for review. Sorry for this inconvenience.

@Urbanecm There was a little mistake in the translation of Localize core namespaces to Santali. Now I have corrected the translation. So please update the patch which you have uploaded already for review. Sorry for this inconvenience.

Fixed in PS3: https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/445790/2..3/languages/messages/MessagesSat.php

Change 445790 merged by jenkins-bot:
[mediawiki/core@master] Localize MW core namespaces to Santali

https://gerrit.wikimedia.org/r/445790

MarcoAurelio closed this task as Resolved.Jul 15 2018, 6:41 PM
This comment was removed by Ramjit99.

I guess fallback language* should be Bengali?
*When MediaWiki displays localized message to its user, it uses the following way: 1) display message in user's language (in this case, Santali) 2) if not possible, display message in fallback language 3) if not possible, display message in English. If not possible generally means the message is not translated into that language yet.

Hello @Urbanecm , I think as santali is the language spoken in four country namely India, Bangladesh, Nepal and Bhutan. keeping Bengali as a fallback language will limited its sensibility and therefore it is recommended that fallback language should be English. Though English may not be understandable by all the santals in these four county but people are more exposed to English than Bengali in these Countries.

I guess fallback language* should be Bengali?
*When MediaWiki displays localized message to its user, it uses the following way: 1) display message in user's language (in this case, Santali) 2) if not possible, display message in fallback language 3) if not possible, display message in English. If not possible generally means the message is not translated into that language yet.

Hello @Urbanecm , I think as santali is the language spoken in four country namely India, Bangladesh, Nepal and Bhutan. keeping Bengali as a fallback language will limited its sensibility and therefore it is recommended that fallback language should be English. Though English may not be understandable by all the santals in these four county but people are more exposed to English than Bengali in these Countries.

Ok, fixed. Thanks.